/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Main;

/**
 *
 * @author Administrador
 */
public class Ruta extends Dibujable{
    int ID;
    boolean visible = true;
    public void setVisible(){
        this.visible = !this.visible;
    }
    public boolean getVisible(){
        return visible;
    }
    public Ruta(Entorno entorno,int ID,int x, int y){
        super(entorno);
        this.x = x;
        this.y = y;
        this.ID = ID;

        setSpriteName("espiral.png");
    }

    @Override
    public boolean equals(Object obj){
        if (this == obj)
           return true;
       if (obj == null)
           return false;
       if (getClass() != obj.getClass())
           return false;
        final Ruta other = (Ruta) obj;
        //Si el ID es igual es la misma estacion base.
       if(this.ID==other.ID)
           return true;
       else
           return false;

    }
}
